본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

관련사이트
  • 문서
  • 카카오 키워드광고
  • 광고 생성: 소재

사이드 메뉴

카카오맵

검색

카카오 키워드광고

광고 생성: 소재

이 문서는 광고 생성: 소재 API 사용 방법을 안내합니다.

소재란 하나의 광고 단위로 텍스트, 이미지, 전화번호 등 다양한 노출방식의 소재를 설정할 수 있습니다. 생성한 소재 형식에 따라 광고가 노출됩니다.

소재 목록 조회

기본 정보
메서드URL인증 방식
GEThttps://api.keywordad.kakao.com/openapi/v1/creatives/basic비즈니스 토큰

비즈채널 단위 소재의 목록을 조회합니다.

비즈니스 토큰과 광고계정 ID(adAccountId)를 헤더에 담아 GET으로 요청합니다. 성공 시 응답 본문에 JSON 객체로 소재 상세 정보 목록을 받습니다.

요청

헤더
이름설명필수
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
인증 방식, 비즈니스 토큰으로 인증 요청
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
광고계정 ID
O
쿼리 파라미터
이름타입설명필수
bizChannelIdLong비즈채널 IDO
pageInteger페이지 번호(미입력시 0으로 입력)X
limitInteger페이지당 갯수
(미입력시 10으로 입력, 최대 1000)
X
configString소재 상태, 아래 중 하나
  • ON: 운영중
  • DEL: 삭제
X

응답

본문
이름타입설명
bizChannelIdLong비즈채널 ID
idLong소재 ID
nameString소재 이름
titleString[기본소재]제목
descriptionString[기본소재]설명문구
assetTypeseString[]사용중 확장소재 타입
configString소재 상태
pageString페이지 정보

예제

요청
curl -v -G GET "https://api.keywordad.kakao.com/openapi/v1/creatives/basic" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}" \
-d "bizChannelId=2222222221" \
-d "&config=ON" \
-d "page=0" \
-d "limit=10"
응답
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"content": [
{
"bizChannelId": "2222222221",
"id": "66666666661",
"name": "소재1",
"title": "타이틀",
"description": "설명문구",
"assetTypes": [
"THUMBNAIL",
"MULTI_THUMBNAIL",
"ADDITIONAL_TITLE",
"ADDITIONAL_LINK",
"SUBJECT",
"PRICE_TABLE",
"CALCULATE",
"PHONE_NUMBER",
"TALK_CHANNEL"
],
"config": "ON"
},
{
"bizChannelId": "2222222221",
"id": "66666666662",
"name": "소재2",
"title": "타이틀",
"description": "설명문구",
"assetTypes": [],
"config": "ON"
}
],
"page": {
"number": 0,
"size": 10,
"totalElements": 1,
"totalPages": 1
}
}

소재 조회

기본 정보
메서드URL인증 방식
GEThttps://api.keywordad.kakao.com/openapi/v1/creatives/basic/${ID}비즈니스 토큰

소재의 상세 정보를 조회합니다.

비즈니스 토큰과 광고계정 ID(adAccountId)를 헤더에 담아 GET으로 요청합니다. 성공 시 응답 본문에 JSON 객체로 광고 소재 상세 정보를 받습니다. 실패 시 에러 코드로 원인을 확인합니다.

요청

헤더
이름설명필수
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
인증 방식, 비즈니스 토큰으로 인증 요청
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
광고계정 ID
O
경로 변수
이름타입설명필수
IDLong소재 IDO

응답

본문
이름타입설명
adAccountIdLong광고계정 ID
bizChannelIdLong비즈채널 ID
idLong소재 ID
nameString소재 이름
titleString[기본소재]제목
descriptionString[기본소재]설명문구
landingInfoLandingInfo[기본소재]랜딩 URL(미입력시 비즈채널 URL 정보 입력)
licenseLicense[기본소재]의료광고 심의필 번호, 서류
assetsAssets확장소재 상세 정보

예제

요청
curl -v -G GET "https://api.keywordad.kakao.com/openapi/v1/creatives/basic/${ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
응답
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"adAccountId": "1111111111",
"bizChannelId": "2222222221",
"id": "66666666661",
"name": "소재이름",
"title": "타이틀",
"description": "설명문구"
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
},
"license": {
"licenseNumber": "1234567890",
"reviewDocumentId": "9999999991"
},
"assets": {
"thumbnail": {
"imageId": "8888888881",
"text": "썸네일이미지설명"
},
"multiThumbnails": [
{
"imageId": "8888888882",
"text": "멀티썸네일1",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"imageId": "8888888883",
"text": "멀티썸네일2",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"imageId": 8888888883,
"text": "멀티썸네일3",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
}
],
"additionalTitle": "추가제목",
"additionalLinks": [
{
"text": "부가링크1",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"text": "부가링크2",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"text": "부가링크3",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
}
],
"subject": {
"subject": "DISCOUNT",
"text": "할인말머리",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
"priceTables": [
{
"text": "가격테이블1",
"price": 1000,
"range": "STATIC",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"text": "가격테이블2",
"price": 2000,
"range": "FROM",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"text": "가격테이블3",
"price": 3000,
"range": "TO",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
}
],
"phoneNumber": "010-1234-5678",
"calculate": {
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
"talkChannelId": "@kakao1"
}
}

소재 생성

기본 정보
메서드URL인증 방식
POSThttps://api.keywordad.kakao.com/openapi/v1/creatives/basic비즈니스 토큰

새로운 소재를 생성합니다.

비즈니스 토큰과 광고계정 ID(adAccountId)를 헤더에 담아 POST로 요청합니다. 요청이 성공하면 응답 본문에 JSON 객체로 생성된 소재 정보를 받습니다. 실패 시 에러 코드로 원인을 확인합니다.

요청

헤더
이름설명필수
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
인증 방식, 비즈니스 토큰으로 인증 요청
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
광고계정 ID
O
본문
이름타입설명필수
bizChannelIdLong비즈채널 IDO
nameString소재 이름O
titleString[기본소재]제목O
descriptionString[기본소재]설명문구O
landingInfoLandingInfo[기본소재]랜딩 URL(미입력시 비즈채널 URL 정보 입력)X
licenseLicense[기본소재]의료광고 심의필 번호, 서류X
assetsAssets확장소재 상세 정보X

응답

본문
이름타입설명
adAccountIdLong광고계정 ID
bizChannelIdLong비즈채널 ID
idLong소재 ID
nameString소재 이름
titleString[기본소재]제목
descriptionString[기본소재]설명문구
landingUrlLandingInfo[기본소재]랜딩 URL(미입력시 비즈채널 URL 정보 입력)
licenseLicense[기본소재]의료광고 심의필 번호, 서류
assetsAssets확장소재 상세 정보

예제

요청
curl -v -X POST "https://api.keywordad.kakao.com/openapi/v1/creatives/basic" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}" \
-H "Content-Type: application/json" \
-d '{
"name": "소재이름",
"title": "타이틀",
"description": "설명문구",
"bizChannelId": "2222222221",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
},
"license": {
"licenseNumber": "1234567890",
"reviewDocumentId": "9999999991"
},
"assets": {
"thumbnail": {
"imageId": "8888888881",
"text": "썸네일이미지설명"
},
"multiThumbnails": [
{
"imageId": "8888888882",
"text": "멀티썸네일1",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"imageId": "8888888883",
"text": "멀티썸네일2",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"imageId": "8888888884",
"text": "멀티썸네일3",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
}
],
"additionalTitle": "추가제목",
"additionalLinks": [
{
"text": "부가링크1",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"text": "부가링크2",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"text": "부가링크3",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
}
],
"subject": {
"subject": "DISCOUNT",
"text": "할인말머리",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
"priceTables": [
{
"text": "가격테이블1",
"price": 1000,
"range": "STATIC",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"text": "가격테이블2",
"price": 2000,
"range": "FROM",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"text": "가격테이블3",
"price": 3000,
"range": "TO",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
}
],
"phoneNumber": "010-1234-5678",
"calculate": {
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
"talkChannelId": "@test"
}
}'
응답
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"adAccountId": "1111111111",
"bizChannelId": "2222222221",
"id": "66666666661",
"name": "소재이름",
"title": "타이틀",
"description": "설명문구",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
},
"license": {
"licenseNumber": "1234567890",
"reviewDocumentId": "9999999991"
},
"assets": {
"thumbnail": {
"imageId": "8888888881",
"text": "썸네일이미지설명"
},
"multiThumbnails": [
{
"imageId": "8888888882",
"text": "멀티썸네일1",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"imageId": "8888888883",
"text": "멀티썸네일2",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"imageId": "8888888884",
"text": "멀티썸네일3",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
}
],
"additionalTitle": "추가제목",
"additionalLinks": [
{
"text": "부가링크1",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"text": "부가링크2",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"text": "부가링크3",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
}
],
"subject": {
"subject": "DISCOUNT",
"text": "할인말머리",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
"priceTables": [
{
"text": "할인1",
"price": 1000,
"range": "STATIC",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"text": "할인2",
"price": 2000,
"range": "FROM",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
{
"text": "할인3",
"price": 3000,
"range": "TO",
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
}
],
"phoneNumber": "010-1234-5678",
"calculate": {
"landingInfo": {
"rspvLandingUrl": "https://www.daum.net",
"pcLandingUrl": null,
"mobileLandingUrl": null
}
},
"talkChannelId": "@test"
}
}

소재 삭제

기본 정보
메서드URL인증 방식
DELETEhttps://api.keywordad.kakao.com/openapi/v1/creatives/${ID}비즈니스 토큰

소재를 삭제합니다.

비즈니스 토큰과 광고계정 ID(adAccountId)를 헤더에 담아 DELETE로 요청합니다. 삭제하려는 소재 ID를 파라미터로 지정해야 합니다. 성공 시 HTTP 상태 코드 200에 응답 본문은 없습니다. 실패 시 에러 코드로 원인을 확인합니다.

요청

헤더
이름설명필수
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
인증 방식, 비즈니스 토큰으로 인증 요청
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
광고계정 ID
O
경로 변수
이름타입설명필수
IDLong소재 IDO

예제

요청
curl -v -X DELETE "https://api.keywordad.kakao.com/openapi/v1/creatives/${ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}" \
-H "Content-Type: application/json"
응답
HTTP/1.1 200 OK
Content-Length: 0
Content-Type: application/json;charset=UTF-8

더 보기

도움이 되었나요?